unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, Buttons, StdCtrls, ExtCtrls,  AHMMenu, ImgList;

type
  TForm1 = class(TForm)
    ImageList1: TImageList;
    BitBtn1: TBitBtn;
    Label1: TLabel;
    AHMApplicationMenu1: TAHMApplicationMenu;
    AHMMenuItem30: TAHMMenuItem;
    AHMMenuItem31: TAHMMenuItem;
    AHMMenuItem34: TAHMMenuItem;
    AHMMenuItem35: TAHMMenuItem;
    Label2: TLabel;
    AHMFormMenu1: TAHMFormMenu;
    AHMMenuItem36: TAHMMenuItem;
    AHMMenuItem37: TAHMMenuItem;
    AHMMenuItem38: TAHMMenuItem;
    AHMMenuItem39: TAHMMenuItem;
    AHMMenuItem40: TAHMMenuItem;
    AHMMenuItem41: TAHMMenuItem;
    AHMMenuItem42: TAHMMenuItem;
    AHMMenuItem43: TAHMMenuItem;
    Button1: TButton;
    Bevel1: TBevel;
    Label3: TLabel;
    AHMPopupMenu1: TAHMPopupMenu;
    AHMMenuItem44: TAHMMenuItem;
    AHMMenuItem45: TAHMMenuItem;
    AHMMenuItem46: TAHMMenuItem;
    AHMMenuItem47: TAHMMenuItem;
    AHMMenuItem48: TAHMMenuItem;
    AHMMenuItem49: TAHMMenuItem;
    AHMMenuItem61: TAHMMenuItem;
    AHMMenuItem62: TAHMMenuItem;
    AHMMenuItem63: TAHMMenuItem;
    AHMMenuItem64: TAHMMenuItem;
    AHMMenuItem65: TAHMMenuItem;
    AHMMenuItem66: TAHMMenuItem;
    AHMMenuItem67: TAHMMenuItem;
    AHMMainMenu1: TAHMMainMenu;
    AHMMenuItem1: TAHMMenuItem;
    AHMMenuItem2: TAHMMenuItem;
    AHMMenuItem3: TAHMMenuItem;
    AHMMenuItem4: TAHMMenuItem;
    AHMMenuItem5: TAHMMenuItem;
    AHMMenuItem6: TAHMMenuItem;
    AHMMenuItem7: TAHMMenuItem;
    AHMMenuItem8: TAHMMenuItem;
    AHMMenuItem9: TAHMMenuItem;
    AHMMenuItem10: TAHMMenuItem;
    AHMMenuItem11: TAHMMenuItem;
    AHMMenuItem16: TAHMMenuItem;
    AHMMenuItem18: TAHMMenuItem;
    AHMMenuItem20: TAHMMenuItem;
    AHMMenuItem19: TAHMMenuItem;
    AHMMenuItem21: TAHMMenuItem;
    AHMMenuItem22: TAHMMenuItem;
    AHMMenuItem24: TAHMMenuItem;
    AHMMenuItem23: TAHMMenuItem;
    AHMMenuItem25: TAHMMenuItem;
    AHMMenuItem26: TAHMMenuItem;
    AHMMenuItem27: TAHMMenuItem;
    AHMMenuItem28: TAHMMenuItem;
    AHMMenuItem29: TAHMMenuItem;
    AHMMenuItem32: TAHMMenuItem;
    AHMMenuItem33: TAHMMenuItem;
    AHMMenuItem50: TAHMMenuItem;
    AHMMenuItem51: TAHMMenuItem;
    AHMMenuItem52: TAHMMenuItem;
    AHMMenuItem53: TAHMMenuItem;
    AHMMenuItem54: TAHMMenuItem;
    AHMMenuItem55: TAHMMenuItem;
    AHMMenuItem56: TAHMMenuItem;
    AHMMenuItem57: TAHMMenuItem;
    AHMMenuItem58: TAHMMenuItem;
    AHMMenuItem59: TAHMMenuItem;
    AHMMenuItem60: TAHMMenuItem;
    AHMMenuItem12: TAHMMenuItem;
    AHMMenuItem13: TAHMMenuItem;
    AHMMenuItem14: TAHMMenuItem;
    AHMMenuItem15: TAHMMenuItem;
    AHMMenuItem17: TAHMMenuItem;
    procedure AHMMenuItem11Click(Sender: TObject);
    procedure AHMMenuItem43Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure AHMMenuItem53Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.AHMMenuItem11Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.AHMMenuItem43Click(Sender: TObject);
begin
 showmessage('It'+#39+'s way cooooooooool !');
end;

procedure TForm1.Button1Click(Sender: TObject);
var pnt : TPoint;
begin
  Pnt:=Button1.ClientToScreen(Point(0,Button1.Height));
  AHMPopupMenu1.Popup(Pnt.x,Pnt.y);
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  action:=cafree;
end;

procedure TForm1.AHMMenuItem53Click(Sender: TObject);
begin
  TAHMMenuItem(Sender).Checked:=not(TAHMMenuItem(Sender).Checked);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Application.Helpfile:='AHMMENUS.HLP';
end;

end.
 